<template>
  <v-ons-page class="listArticle">
    <v-ons-toolbar style="padding: 0 5%">
      <div class="center">
        <img src="@/assets/images/logo.svg" alt="J-Class" class="logo-header" />
      </div>
      <div class="left">
        <v-ons-back-button></v-ons-back-button>
      </div>
    </v-ons-toolbar>

    <div class="wrapBtn">
      <div v-for="item in items" :key="item.id">
        <v-ons-card>
          <v-ons-list-item>
            <span class="listSoal">
              <div>
                <span class="number">{{(item.index+1)}}.</span>
                <span
                  id="w-content"
                  class="ql-container ql-snow"
                  v-html="item.question"
                ></span>
                <div v-for="image in item.img" :key="image.index">
                  <img :src="image" class="small"/>
                </div>
                <br />
                <span v-for="questionBullet in bullet" :key="questionBullet.index" tappable class="checkSoal">
                  <div class="bulat">
                    <v-ons-radio
                      :input-id="'radio-' + item.index"
                      :value="questionBullet.index"
                    ></v-ons-radio>
                    <label :for="'radio-' + item.index" class="jawabanText">
                      <span class="abjadSoal">{{ questionBullet.soal }}</span>
                      <span v-if="item.caption">.</span>
                      {{item.questionArray[questionBullet.index]}}
                    </label>
                  </div>
                </span>
              </div>
            </span>
          </v-ons-list-item>
          <v-ons-list-item class="boxBtn">
            <div v-if="!isSendingDone">
              <ons-button id="answerQuestions" @click="jawabConirm(sectionnya)">Jawab</ons-button>
            </div>
            <div v-else>
              <ons-button :disabled="true">{{textButton}}</ons-button>
            </div>
          </v-ons-list-item>
        </v-ons-card>

      </div>
      <div v-if="isEmpty">
        <v-ons-card class="text-center">
          -- (Tidak ada soal lagi) --
        </v-ons-card>
      </div>


      <div v-if="infinityScrollBool">
        <progress-circle class="postProgressCircle"></progress-circle>
      </div>
    </div>

  </v-ons-page>
</template>

<script>
import moment from 'moment'
import { questionCollection, auth } from '@/firebase'
import ProgressCircle from '@/components/ProgressCircle';
import FullPost from '@/components/Materies/FullPost.vue';

const fileStore = '';

export default {
  name: 'Questions',
  data() {
    return {
      questionId: this.$store.state.navigator.quizId,
      items: [],
      bullet: [
        { index: 0, soal: "A" },
        { index: 1, soal: "B" },
        { index: 2, soal: "C" },
        { index: 3, soal: "D" }
      ],
      infinityScrollBool: true,
      isEmpty: false,
    };
  },
  components: {
    ProgressCircle,
  },
  created() {
    this.initData();
  },
  filters: {
    formatDate(val) {
      if (!val) { return '-'; }
      let date = val.toDate();
      return moment(date).fromNow();
    },    
  },
  methods: {
    initData() {
      console.log(this.questionId)
      let that = this;
      const getMateries = questionCollection.doc(this.questionId).orderBy('createDate');

      getMateries.get().then(snapshot => {

        snapshot.forEach(doc => {

          var lastVisible = snapshot.docs[snapshot.docs.length-1];
          that.lastDoc = lastVisible;

          let post = doc.data()
          post.id = doc.id

          that.items.push(post)

          console.log(that.items)
        })
        if (snapshot.size < this.limitInt) {
          that.infinityScrollBool = false;
          that.isLoadMore = false;
          that.isNoMore = true;
        }else{
          that.infinityScrollBool = false;
          that.isLoadMore = true;
          that.isNoMore = false;
        }

      })
    },
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.header {
  text-align: center;
  margin-top: 10%;
}

img {
  max-width: 300px;
}

ons-list-title {
  text-transform: none;
}

ons-list-title:not(:first-of-type) {
  margin-top: 30px;
}

ons-card {
  text-align: center;
}

ons-list-item, ons-card {
  cursor: pointer;
}
</style>
